Mono.GetOptions 1.0.5000.0 2.0.0.0 Mono.GetOptions.Options To be added. To be added.
- Constructor
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Property
  Mono.GetOptions.Option("List of directories to search for referenced assemblies. {path-list}:path,...", "libpath", "lib")
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 Mono.GetOptions.Option(-1, "Adds the specified file as a linked assembly resource. {details}:file[,id[,public|private]]", "linkresource", "linkres")
- Property
  Mono.GetOptions.Option(-1, "Imports all type information from files in the module-list. {module-list}:module,...", "addmodule")
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Mono.GetOptions.Option(-1, "References metadata from the specified assembly-list. {assembly-list}:assembly,...", r, "reference")
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Mono.GetOptions.Option(-1, "Adds the specified file as an embedded assembly resource. {details}:file[,id[,public|private]]", "resource", "res")
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Allows unsafe code", "unsafe", SecondLevelHelp=true)
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Int32 To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.String To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Mono.GetOptions.Option(-1, "Select codepage by {ID} (number, 'utf8' or 'reset') to process following source files", "codepage")
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  Mono.GetOptions.Option("Emit full debugging information (default)", "debug:full", SecondLevelHelp=true)
  System.Boolean To be added. To be added. To be added.
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  Mono.GetOptions.Option("Emit MDB file only", "debug:pdbonly", SecondLevelHelp=true)
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Field
  System.Collections.Hashtable To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Mono.GetOptions.Option(-1, "Declares global conditional compilation symbol(s). {symbol-list}:name=value,...", d, "define")
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Do not display compiler copyright banner", "nologo")
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Mono.GetOptions.Option(-1, "Declare global Imports for listed namespaces. {import-list}:namespace,...", "imports")
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.String To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.String To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Specifies the {name} of the Class or Module that contains Sub Main or inherits from System.Windows.Forms.Form. Needed to select among many entry-points for a program (target=exe|winexe)", m, "main")
  System.String To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Disables implicit references to assemblies", "noconfig", SecondLevelHelp=true)
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Don't assume the standard library", "nostdlib", SecondLevelHelp=true)
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Mono.GetOptions.Option("Disable warnings", "nowarn", SecondLevelHelp=true)
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Mono.GetOptions.Option("Specifies the output {file} name", o, "out")
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("[IGNORED] Emit compiler output in UTF8 character encoding", "utf8output", SecondLevelHelp=true, VBCStyleBoolean=true)
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  Mono.GetOptions.Option("Displays time stamps of various compiler events", "timestamp", SecondLevelHelp=true)
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  Mono.GetOptions.WhatToDoNext `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  Mono.GetOptions.WhatToDoNext `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 Mono.GetOptions.Option(-1, "References packages listed. {packagelist}=package,...", "pkg")
- Property
  Mono.GetOptions.Option("Remove integer checks. Default off.", SecondLevelHelp=true, VBCStyleBoolean=true)
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Specifies the root {namespace} for all type declarations", "rootnamespace", SecondLevelHelp=true)
  System.String To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.String To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  Mono.GetOptions.WhatToDoNext `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 Mono.GetOptions.Option("Debugger {arguments}", "debug-args", SecondLevelHelp=true)
- Method
  Mono.GetOptions.WhatToDoNext `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 Mono.GetOptions.Option(-1, "Ignores warning number {XXXX}", "ignorewarn", SecondLevelHelp=true)
- Method
  Mono.GetOptions.WhatToDoNext `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 Mono.GetOptions.Option("Specifies the target {type} for the output file (exe [default], winexe, library, module)", t, "target")
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Commands the compiler to show only error messages for syntax-related errors and warnings", q, "quiet", SecondLevelHelp=true)
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Useful.TargetType To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Display verbose messages", v, "verbose", SecondLevelHelp=true)
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Emit full debugging information", g, "debug", VBCStyleBoolean=true)
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Sets warning {level} (the highest is 4, the default)", "wlevel", SecondLevelHelp=true)
  System.Int32 To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.GetOptions.Option("Treat warnings as errors", "warnaserror", SecondLevelHelp=true)
  System.Boolean To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Int32[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Collections.ArrayList To be added. To be added. 1.0.5000.0 2.0.0.0